Enable global AbuseFilters for all small wikis
Closed, ResolvedPublic

Description

We have global AbuseFilters running on a couple of small and mid sized wikis for almost a year and all problems which turned up have been fixed.

Because of that, we should enable global AbuseFilters on all small wikis (https://noc.wikimedia.org/conf/small.dblist) in order to better fight common abuse cases like spam bots.


Version: wmf-deployment
Severity: enhancement

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz60408.
hoo created this task.Via LegacyJan 24 2014, 10:28 PM
Legoktm added a comment.Via ConduitJan 24 2014, 10:29 PM

+1

gerritbot added a comment.Via ConduitJan 24 2014, 10:29 PM

Change 109435 had a related patch set uploaded by Hoo man:
Enable global AbuseFiters for all small wikis

https://gerrit.wikimedia.org/r/109435

gerritbot added a comment.Via ConduitJan 25 2014, 3:55 AM

Change 109435 merged by jenkins-bot:
Enable global AbuseFiters for all small wikis

https://gerrit.wikimedia.org/r/109435

Billinghurst added a comment.Via ConduitJan 25 2014, 9:49 AM

Are you planning an announcement, a discussion, or some sort of communication with the wikis that are impacted?

[Noting that the impact is minimal as at this stage as only stewards can add a global filter, and that they are monitoring filters only.]

Billinghurst added a comment.Via ConduitJan 25 2014, 10:13 AM

Just looking through the list, it would seem to include at least five private wiki. Similarly I believe that I can see what seems to be at least one closed wiki.

I would hope that the imposed list would not include the private or closed wikis. Is there a need for a cleaned up list rather than a generic small wikis?

Billinghurst added a comment.Via ConduitJan 25 2014, 10:14 AM

Oh, and I see chapter wikis, and not certain that these should be imposed upon without reference to their committees of management. We just host, not manage (is my understanding).

Nemo_bis added a comment.Via ConduitJan 25 2014, 1:39 PM

Yes, probably needs a followup patch to set it false for all private, closed, fishbowl and wikimedia wikis.

hoo added a comment.Via ConduitJan 25 2014, 4:08 PM

(In reply to comment #7)

Yes, probably needs a followup patch to set it false for all private, closed,
fishbowl and wikimedia wikis.

Please tell me where the problem is with that. Please keep in mind that global filters should only be used for clear cases, so that they should be fine for all wikis. Performance isn't an issue, btw.

Trijnstel added a comment.Via ConduitJan 25 2014, 4:26 PM

Can't the global abusefilters be enabled on 'all' wikis? I mean, it's surely useful to have it enabled on all small wikis, but it's certainly even more to have it enabled on all wikis. Or do we need a RFC for that?

hoo added a comment.Via ConduitJan 25 2014, 4:44 PM

(In reply to comment #9)

Can't the global abusefilters be enabled on 'all' wikis? I mean, it's surely
useful to have it enabled on all small wikis, but it's certainly even more to
have it enabled on all wikis. Or do we need a RFC for that?

There's a bug with condition limits (which we AFAIS don't have in Bugzilla) which blocks that for now, but we certainly plan to do that in the near future.

hoo added a comment.Via ConduitJan 25 2014, 4:46 PM

This isn't the place to discuss this, btw... This is solely about small wikis.

Billinghurst added a comment.Via ConduitJan 26 2014, 12:52 AM

(In reply to comment #8)

(In reply to comment #7)
> Yes, probably needs a followup patch to set it false for all private, closed,
> fishbowl and wikimedia wikis.

Please tell me where the problem is with that. Please keep in mind that
global
filters should only be used for clear cases, so that they should be fine for
all wikis. Performance isn't an issue, btw.

  1. Private wikis are private wikis, and there is absolutely no conditions that metawiki should be filtering their content. NONE.
  2. Private wikis are private wikis, and meta filters are not private so hits will show in meta logs. Therefore not private, toally inappropriate, and the content of the filter is not relevant.
  3. Wikimedia wikis are not ours, we just host them, so we don't make the decision to filter them without their consent, or at least the invitation. Totally presumptive.
Billinghurst added a comment.Via ConduitJan 26 2014, 1:04 AM

This has been implemented, when it is clearly in discussion. Please roll this back, it should not be in the wild at this point.

gerritbot added a comment.Via ConduitJan 26 2014, 3:57 AM

Change 109498 had a related patch set uploaded by Hoo man:
Disable global AbuseFilter for private/fishbowl wikis

https://gerrit.wikimedia.org/r/109498

hoo added a comment.Via ConduitJan 26 2014, 4:14 AM

(In reply to comment #12)

  1. Private wikis are private wikis, and meta filters are not private so hits will show in meta logs. Therefore not private, toally inappropriate, and the content of the filter is not relevant.

Right... thus I've uploaded a follow-up which will fix that.

  1. Wikimedia wikis are not ours, we just host them, so we don't make the decision to filter them without their consent, or at least the invitation. Totally presumptive.

This depends on how we judge global filters... I guess this needs to be discussed.

gerritbot added a comment.Via ConduitJan 27 2014, 6:35 PM

Change 109498 merged by jenkins-bot:
Disable global AbuseFilter for private/fishbowl wikis

https://gerrit.wikimedia.org/r/109498

Nemo_bis added a comment.Via ConduitJan 27 2014, 8:18 PM

And deployed, thanks Hoo and Reedy.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.